logoon  windows
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Forum Register Log in  RSS Apache Lounge


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored by anyone.

Your donations will help to keep this site alive and well, and continuing the building of the binaries.




mod_python for apache 2.2 help

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
shaggy



Joined: 15 Nov 2005
Posts: 66
Location: Dundee, Michigan

PostPosted: Sun 08 Jan '06 3:17    Post subject: mod_python for apache 2.2 help Reply with quote

Anybody get mod_python to work with apache 2.2? I haven't been getting mod_python to work ever since I upgraded to apache 2.2
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2123
Location: Hilversum, NL, EU

PostPosted: Sun 08 Jan '06 13:54    Post subject: Reply with quote

Do you have a a mod_python for 2.2 ?

As stated by ASF:

If you are running third party add-in modules, you will need to obtain new modules written for Apache 2.2 from that third party before you attempt to upgrade from Apache 2.0.

Steffen
Back to top
shaggy



Joined: 15 Nov 2005
Posts: 66
Location: Dundee, Michigan

PostPosted: Sun 08 Jan '06 18:22    Post subject: Reply with quote

Steffen wrote:
Do you have a a mod_python for 2.2 ?

As stated by ASF:

If you are running third party add-in modules, you will need to obtain new modules written for Apache 2.2 from that third party before you attempt to upgrade from Apache 2.0.

Steffen


sorry forgot to mention I've got python 2.4
Back to top
shaggy



Joined: 15 Nov 2005
Posts: 66
Location: Dundee, Michigan

PostPosted: Tue 11 Apr '06 0:20    Post subject: Reply with quote

I just tried to install mod_python 3.2.8 for python 2.4 on here and I did a loadmodule line of LoadModule python_module modules/mod_python.so and then opened up a command window then navigated to my apache/bin folder and then typed in httpd -k restart and it gives me this error "HTTPD Syntax error on line <#> of C:/path/to/apache/conf/httpd.conf: Cannot load C:/path/to/apache/module/mod_python.so into server: The specified procedure could not be found."

Any suggestions?
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 4886
Location: Germany, Next to Hamburg

PostPosted: Tue 11 Apr '06 12:25    Post subject: Reply with quote

Yepp I had the same problem, when the modul has a different magic number than the apache.
Last week I tried to use a module from 2.0.55 with the 2.2.1 and got the same error message. Strange is, that two days later it worked until this day without any errormessage. Shocked
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1